Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 534248 - Middle-clicking to stop autoscroll may activate contentLoadURL (deactivate,clipboard,paste)
: Middle-clicking to stop autoscroll may activate contentLoadURL (deactivate,cl...
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86 Linux
: -- minor (vote)
: seamonkey2.1b1
Assigned To: Philip Chee
Depends on: 216899 529240
  Show dependency treegraph
Reported: 2009-12-11 10:38 PST by [:Aleksej]
Modified: 2011-02-14 04:53 PST (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

Patch v1.0 check "general.autoScroll" as well (1.02 KB, patch)
2010-09-13 09:14 PDT, Philip Chee
neil: review+
Details | Diff | Splinter Review

Description [:Aleksej] 2009-12-11 10:38:27 PST
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.3a1pre) Gecko/20091211 SeaMonkey/2.1a1pre
Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20091211 SeaMonkey/2.0.2pre
Mozilla/5.0 (X11; U; Linux i686; ru; rv: Gecko/20091206 SeaMonkey/2.0.1

WFM with Namoroka: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2b6pre) Gecko/20091211 Namoroka/3.6b6pre

Steps to reproduce:
1. Set general.autoScroll = true
2. Copy something into the clipboard.
3. Click on a page to activate autoscroll.
4. Click in or near the autoscroll icon to deactivate autoscroll.

Actual results:
Autoscroll is deactivated,
SeaMonkey attempts loading the clipboard contents as a URL.

Expected results:
Autoscroll is deactivated.

Does not happen if middlemouse.contentLoadURL is set to false.
Comment 1 Tony Mechelynck [:tonymec] 2009-12-11 10:42:08 PST
sibling bug to Firefox bug 216899
Comment 2 Tony Mechelynck [:tonymec] 2009-12-11 10:44:17 PST
oops, I miskeyed
Comment 3 Philip Chee 2010-09-13 09:04:53 PDT
Tony, do you still see this bug on trunk linux builds?
Comment 4 Philip Chee 2010-09-13 09:14:20 PDT
Created attachment 474713 [details] [diff] [review]
Patch v1.0 check "general.autoScroll" as well

one line port of Firefox Bug 216899.
Comment 5 2010-09-19 08:11:25 PDT
Comment on attachment 474713 [details] [diff] [review]
Patch v1.0 check "general.autoScroll" as well

Sadly there doesn't seem to be any way to distinguish the event that cancels autoscroll from an intentional middle mouse paste :-(
Comment 6 Philip Chee 2010-09-19 08:42:55 PDT
Pushed to comm-central:
Comment 7 [:Aleksej] 2011-02-14 04:53:23 PST
Verified fixed with SM 2.1b2pre 20110203003002 for Linux i686.

Note You need to log in before you can comment on or make changes to this bug.